.header_div {
    display: flex;
    justify-content: space-between;
    align-items: center;

    .support_lbl {
        margin-right: 20px;
        color: red;
    }
}

.main_content_div {
    width: 100%;
    padding: 20px;

    .line_div {
        height: 1px;
        width: 100%;
        background: lightgray;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    ion-label {
        display: block;
    }

    .header_lbl {
        font-weight: 600;
        font-size: 22px;
    }
    .res_name {
        margin-top: 20px;
        font-weight: 600;
        font-size: 18px;
    }
    .res_location {
        font-size: 14px;
        width: 90%;
    }

    .flex_div {
        display: flex;
        justify-content: space-between;
        align-items: center;
        // margin-top: 20px;

        .fav_lbl {
            color: red;
            font-size: 12px;
            border: 1px solid red;
            border-radius: 25px;
            padding: 2px 10px;
        }
    }

    .card_div {
        .upper_div {
            display: flex;
            align-items: center;

            .veg {
                width: 12px;
                height: 12px;
            }
        }

        .lower_div {
            margin-top: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            .rate_lbl {
                background: #b2d9b2;
                border: 1px solid #7bdb7b;
                padding: 3px 8px;
                border-radius: 5px;
                font-size: 14px;
                font-weight: 600;
            }
        }
    }

    .prise_lbl {
        position: absolute;
        right: 20px;
    }

    .head_gray {
        color: gray;
        font-size: 13px;
    }
    .small_lbl {
        font-size: 12px;
        font-weight: 600;
        margin-bottom: 15px;
    }
    .red_lbl {
        color: red;
        text-align: center;
        margin-top: 20px;
        margin-bottom: 20px;
    }
}

.btn_div {
    display: flex;
    justify-content: center;

    ion-button {
        font-weight: 600;
        --border-radius: 5px;
        width: auto;
    }
    .ratae {
        --background: var(--ion-color-warning);
    }
}

.contentProgress {
    position: relative;
    z-index: 0;
}

.progressbar {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 15px 0;
    margin: 0;
    height: 109px;
    z-index: -2;
    li {
        list-style-type: none;
        float: left;
        width: 20.33%; //para 3 li, width 33.33%
        position: relative;
        text-align: center;
        font-size: 11px;
        color: #4a4a4a;
        span {
            color: #111111;
            font-weight: 500;
            position: absolute;
            left: 0;
            right: 0;
            bottom: -12px;
        }
    }
    li:before {
        content: "";
        width: 37px;
        height: 37px;
        line-height: 38px;
        border: 1px solid #c3c3c3;
        display: block;
        text-align: center;
        margin: 0 auto 10px;
        border-radius: 50%;
        background-color: #c3c3c3;
        font-size: 20px;
    }
    li:after {
        content: "";
        position: absolute;
        width: 100%;
        height: 4px;
        background-color: #c3c3c3;
        top: 18px;
        left: -35%;
        z-index: -1;
    }
    li:first-child:after {
        content: none;
    }
    li.active {
        color: #88b73a;
    }
    li.active:before {
        content: "✔";
        color: #fff;
        border-color: #88b73a;
        background-color: #88b73a;
    }
    li.active + li:after {
        background-color: #88b73a;
    }
}
